// 这个函数都是运动框架
function getStyle(obj, name)
{
	if(obj.currentStyle)
	{
		return obj.currentStyle[name];
	}
	else
	{
		return getComputedStyle(obj, false)[name];
	}
}


//startMove(oDiv, {width: 400, height: 400})

// 这个函数都是运动框架
function startMove(obj, json, fnEnd)
{
	clearInterval(obj.timer);
	obj.timer=setInterval(function (){
		var bStop=true;		//假设：所有值都已经到了
		
		for(var attr in json)
		{
			var cur=0;
			
			if(attr=='opacity')
			{
				cur=Math.round(parseFloat(getStyle(obj, attr))*100);
			}
			else
			{
				cur=parseInt(getStyle(obj, attr));
			}
			
			var speed=(json[attr]-cur)/6;
			speed=speed>0?Math.ceil(speed):Math.floor(speed);
			
			if(cur!=json[attr])
				bStop=false;
			
			if(attr=='opacity')
			{
				obj.style.filter='alpha(opacity:'+(cur+speed)+')';
				obj.style.opacity=(cur+speed)/100;
			}
			else
			{
				obj.style[attr]=cur+speed+'px';
			}
		}
		
		if(bStop)
		{
			clearInterval(obj.timer);
						
			if(fnEnd)fnEnd();
		}
	}, 30);
};
// 这个是banner
window.onload = function () {
	//banner
	var oDiv=document.getElementById('banners');
	var aBtn=oDiv.getElementsByTagName('ol')[0].getElementsByTagName('li');
	var oUl=oDiv.getElementsByTagName('ul')[0];
	var _aLi=oUl.getElementsByTagName('li');
	
	oUl.style.width=_aLi[0].offsetWidth*_aLi.length+'px'//这个是为了计算ul的长度自适应
	
	var now=0;
	
	for(var i=0;i<aBtn.length;i++)
	{
		aBtn[i].index=i;
		aBtn[i].onclick=function ()
		{
			now=this.index;
			
			tab();
		};
	}
	
	function tab()
	{
		for(var i=0;i<aBtn.length;i++)
		{
			aBtn[i].className='';
		}
		aBtn[now].className='active';
		
		startMove(oUl, {left: -1423*now});
	}
	
	function next()
	{
		now++;
		if(now==aBtn.length)
		{
			now=0;
		}
		
		tab();
	}
	
	var timer=setInterval(next,2500);
	
	oDiv.onmouseover=function ()
	{
		clearInterval(timer);
	};
	
	oDiv.onmouseout=function ()
	{
		timer=setInterval(next, 2500);
	};
	
}
/*jquery*/
$(function(){
		
		$('.aboutTitle').click(function(){
			$('.aboutList').hide();
			$(this).next('.aboutList').show();
		})

	})

$(document).ready(function() {
                    $('#jsCarousel').jsCarousel({ onthumbnailclick: function(src) { 
                    // 可在这里加入点击图片之后触发的效果
                        $("#overlay_pic").attr('src', src);
                        $(".overlay").show();
                        }, autoscroll: true });
                    $(".overlay").click(function(){
                        $(this).hide();
                    });
                });

$(function(){

    $('#demo01').flexslider({
        animation: "slide",
        direction:"horizontal",
        easing:"swing"
    });
    
    $('#demo02').flexslider({
        animation: "slide",
        direction:"vertical",
        easing:"swing"
    });
    
});

$(function(){
    $(".item2").hover(
        function(){
            var that=this;
            item2Timer=setTimeout(function(){
                $(that).find('div.intro').slideDown(300);
                $(that).find('.item2-txt').fadeOut(200);
            },100);
            
        },
        function(){
            var that=this;
            clearTimeout(item2Timer);
            $(that).find('div.intro').slideUp(300);
            $(that).find('.item2-txt').fadeIn(200);
        }
    );
});